@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400&display=swap');

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body{
    background: linear-gradient(-55deg, #9d92c1, #745493, #5a389e, #564baa);   
    animation: gradient 5s ease infinite; 
    font-family: 'Poppins', sans-serif;
    justify-content: center;
    align-items: center;
    height: 100vh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    margin: 0;
    
}

@keyframes gradient {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }
  
.user-form{
    width: 100%;
    max-width: 700px;
}

.user-form input{
    width: 100%;
    display: block;
    background-color: #ffffff;
    border-radius: 10px;
    padding: 1rem;
    font-size: 1rem;
    font-family: inherit;
    margin-bottom: 2rem;
    /* box-shadow: 0 5px 10px rgba(154, 160, 185, 0.05),
    0 15px 40px rgba(0, 0, 0, 0.1); */
}

.user-form ::placeholder{
    color: black;
}

.card{
    max-width: 800px;
    background-color: #4c2885;
    opacity: 0.9;
    border-radius: 20px;
    display: flex;
    padding: 2rem;
    margin: 0 1.5rem;
    /* box-shadow: 0 5px 10px rgba(154, 160, 185, 0.05),
    0 15px 40px rgba(0, 0, 0, 0.1);
 */
}

.avatar{
    border-radius: 50%;
    border: 10px solid  rgb(155, 155, 203);
    height: 150px;
    width: 150px;
    margin-right: 15px;
}

.user-info{
    color: #eee;
    margin-top: 0;
}

.user-info ul {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    padding: 10px;
    max-width: 400px;
}

.user-info ul li{
    display: flex;
    align-items: center;
}

.user-info ul li strong{
    font-size: 0.9rem;
    margin-left: 0.5rem;
}

.repo {
    text-decoration: none;
    color: #fff;
    background-color: #212a72;
    font-size: 0.7rem;
    padding: 0.25rem 0.5rem;
    margin-right: 0.5rem;
    margin-bottom: 0.5rem;
    display: inline-block;
}

@media (max-width: 500px) {
    .card {
      flex-direction: column;
      align-items: center;
    }
  
    .user-form {
      max-width: 400px;
    }
}

